package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformIllegalVideo {
    private Long id;

    private String dateStr;

    private Long videoId;

    private String title;

    private Long createTimestamp;

    private String content;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDateStr() {
        return dateStr;
    }

    public void setDateStr(String dateStr) {
        this.dateStr = dateStr;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", dateStr=").append(dateStr);
        sb.append(", videoId=").append(videoId);
        sb.append(", title=").append(title);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append(", content=").append(content);
        sb.append("]");
        return sb.toString();
    }
}